#
# spec file for package log4c
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           log4c
Version:        1.2.4
Release:        bp156.3.4
Summary:        A library of C for flexible logging to files, syslog and other destinations
License:        LGPL-2.1+
Group:          System/Libraries
Url:            http://log4c.sourceforge.net/
Source0:        http://prdownloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
Source1:        baselibs.conf
BuildRequires:  doxygen
BuildRequires:  fdupes
BuildRequires:  gcc-c++
BuildRequires:  graphviz-gd
BuildRequires:  libexpat-devel
BuildRequires:  pkg-config

%description
Log4c is a library of C for flexible logging to files, syslog and other
destinations. It is modeled after the Log for Java library
(http://jakarta.apache.org/log4j/), staying as close to their API as is
reasonable.

%package -n liblog4c3
Summary:        A library of C for flexible logging to files, syslog and other destinations
Group:          System/Libraries

%description -n liblog4c3
Log4c is a library of C for flexible logging to files, syslog and other
destinations. It is modeled after the Log for Java library
(http://jakarta.apache.org/log4j/), staying as close to their API as is
reasonable.

%package -n liblog4c-devel
Summary:        Development files for log4c
Group:          Development/Libraries/C and C++
Requires:       liblog4c3 = %{version}

%description -n liblog4c-devel
The liblog4c-devel package contains the static libraries and header
files needed for development with log4c.

%package -n liblog4c-doc
Summary:        Documentation for log4c
Group:          Development/Languages/C and C++
Requires:       liblog4c3 = %{version}

%description -n liblog4c-doc
The liblog4c-doc package contains the log4c documentation.

%prep
%setup -q

%build
%configure \
	--disable-static \
	--with-pic \
	--enable-test \
 	--enable-doc \
	--enable-debug
make -j1 # parallel make is broken
# check fails on symlinks, so run before install
make %{?_smp_mflags} check

%install
make DESTDIR=%{buildroot} install %{?_smp_mflags}
rm %{buildroot}%{_libdir}/liblog4c.la
rm -rf %{buildroot}%{_datadir}/doc/log4c-%{version}/
rm -rf %{buildroot}/%{_sysconfdir}

%fdupes -s %{buildroot}/%{_mandir}
%fdupes -s doc/

# make check does generate documentation twice for unknown reason and fail because of fdupes and symlinks
# moved to % build
# % check
# % {__make} check

%post -n liblog4c3 -p /sbin/ldconfig

%postun -n liblog4c3 -p /sbin/ldconfig

%files -n liblog4c3
%defattr(-,root,root)
%doc COPYING
%{_libdir}/liblog4c.so.*

%files -n liblog4c-devel
%defattr(-,root,root)
%doc ChangeLog COPYING AUTHORS README log4crc.sample
%{_bindir}/log4c-config
%{_includedir}/log4c.h
%{_includedir}/log4c
%{_libdir}/liblog4c.so
%{_libdir}/pkgconfig/%{name}.pc
%{_datadir}/aclocal
%{_mandir}/man?/log4c*

%files -n liblog4c-doc
%defattr(-,root,root)
%doc doc/html

%changelog
* Sat Mar 14 2015 mpluskal@suse.com
- Cleanup spec file with spec-cleaner
- Do not build pdf documentation as it fails and html version is
  also built
* Tue Jul 29 2014 ctrippe@opensuse.org
- add BuildRequires:  tex(wasysym.sty)
    BuildRequires:  tex(wasy7.tfm)
* Mon Oct 14 2013 mvyskocil@suse.com
- make check fails on symlinks made by fdupes
  * run check in build phase then
* Fri Oct  4 2013 mvyskocil@suse.com
- Update to 1.2.4
  * new date_local and date_local_r appenders
  * fixed several warnings
  * public API functions with format strings are marked by GNU
    C format attribute
  1.2.3:
  * use UTF-8 encoding in AUTHORS file
  * update FSF address in license and headers
  * manpage for log4c-config
  * pkgconfig file
  * fixed memory leaks in log4c_ini()/log4c_fini()
  * use more recent autotools
  1.2.1:
  * added log4c_appender_syslog_set_facility()
  * rollingfile appender crash fixes
  * load only first log4crc file
  * fixed crash on messages longer than 1024 bytes
  * added one missing C++ declaration
  * fixed reopening of the stream appender
  * proper copy message over end of the file in mmap appender
  * various small other fixes
- Use pristine upstream tarball and source url
- Reformat spec file and add make check call
- Call fdupes on documentation and manual pages
- Drop log4crc.sample installation and moved to documentation
  of devel package
- Moved unecessary documentation files (README, AUTHORS, ChangeLog)
  to devel package
- Build with pkg-config
- Drop log4c-fix-m4-quoting.patch, already upstream
* Thu Aug  2 2012 werner@suse.de
- Add fonts, amssymb style, and makeindex
* Tue Jul 10 2012 werner@suse.de
- Make it build with latest TeXLive 2012 with new package layout
* Sun Jan 29 2012 jengelh@medozas.de
- Remove redundant tags/sections per specfile guideline suggestions
- Own all necessary dirs to complete factory build
* Mon Feb  1 2010 jengelh@medozas.de
- package baselibs.conf
* Tue Jan 12 2010 coolo@novell.com
- disable parallel make to fix build
* Thu Jan  8 2009 crrodriguez@suse.de
- supress static libraries
* Thu Nov 27 2008 ro@suse.de
- added baselibs.conf (needed for libcsync0)
* Wed Oct 22 2008 mrueckert@suse.de
- fix debug_packages_requires define
* Fri Aug  1 2008 ro@suse.de
- fix requires for debuginfo package
* Thu Jul  3 2008 anschneider@suse.de
- Fix quoting in the m4 file.
- Fix rpmlint warnings.
- Fix RPM groups in the spec file.
* Wed Feb 20 2008 anschneider@suse.de
- disable icecream build
* Tue Feb 19 2008 anschneider@suse.de
- Fix pdf generation
* Mon Feb 11 2008 anschneider@suse.de
- Fix build for BETA distribution
- Fix Requires of the doc package
* Thu Feb  7 2008 anschneider@suse.de
- fix rpmlint warnings
* Fri Jan 25 2008 anschneider@suse.de
- adapt to new share library packing policy
* Sun Nov 11 2007 anschneider@suse.de
- initial package for log4c version 1.2.1
